[jboss-osgi-commits] JBoss-OSGI SVN: r89599 - in projects/jboss-osgi/trunk: distribution/src/main/resources/installer and 1 other directories.

jboss-osgi-commits at lists.jboss.org jboss-osgi-commits at lists.jboss.org
Mon Jun 1 09:13:02 EDT 2009


Author: thomas.diesler at jboss.com
Date: 2009-06-01 09:12:59 -0400 (Mon, 01 Jun 2009)
New Revision: 89599

Added:
   projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-equinox.properties
   projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-knopflerfish.properties
Modified:
   projects/jboss-osgi/trunk/distribution/src/main/resources/installer/install-definition.xml
   projects/jboss-osgi/trunk/hudson/hudson-home/command.sh
Log:
Add Equinox, Knopflerfish support in runtime

Added: projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-equinox.properties
===================================================================
--- projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-equinox.properties	                        (rev 0)
+++ projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-equinox.properties	2009-06-01 13:12:59 UTC (rev 89599)
@@ -0,0 +1,78 @@
+#
+# Properties read by the org.jboss.osgi.spi.framework.PropertiesBootstrapProvider
+# 
+# $Id$
+#
+
+# The OSGiFramework implementation 
+org.jboss.osgi.spi.framework.impl=org.jboss.osgi.equinox.framework.EquinoxIntegration
+
+# Properties to configure the Framework
+org.osgi.framework.storage=${osgi.server.home}/data/osgi-store
+org.osgi.framework.storage.clean=onFirstInit
+
+# Hot Deployement
+org.jboss.osgi.hotdeploy.scandir=${osgi.server.home}/bundles
+
+# HTTP Service Port
+org.osgi.service.http.port=8090
+
+# Config Admin Service
+felix.cm.dir=${osgi.server.home}/data/osgi-configadmin
+
+# JMX bundle properties  	
+org.jboss.osgi.jmx.host=${jboss.bind.address}
+org.jboss.osgi.jmx.rmi.port=1098
+
+# JNDI bundle properties  	
+org.jboss.osgi.jndi.host=${jboss.bind.address}
+org.jboss.osgi.jndi.rmi.port=1098
+org.jboss.osgi.jndi.port=1099
+
+# Remote Logging
+org.jboss.osgi.service.remote.log.sender=true
+org.jboss.osgi.service.remote.log.host=${jboss.bind.address}
+org.jboss.osgi.service.remote.log.port=5400
+
+# Husky socket connector properties
+org.jboss.osgi.husky.runtime.connector.host=${jboss.bind.address}
+org.jboss.osgi.husky.runtime.connector.port=5401
+
+# System Packages
+org.osgi.framework.system.packages=\
+   javax.management, \
+   javax.management.remote, \
+   javax.naming, \
+   javax.naming.event, \
+   javax.naming.spi, \
+   javax.net, \
+   javax.net.ssl, \
+   javax.xml.namespace, \
+   javax.xml.parsers, \
+   javax.xml.transform, \
+   javax.xml.transform.sax, \
+   org.w3c.dom, \
+   org.xml.sax, \
+   org.xml.sax.helpers, \
+   org.jboss.osgi.spi;version=1.0, \
+   org.jboss.osgi.spi.logging;version=1.0, \
+   org.jboss.osgi.spi.management;version=1.0, \
+   org.jboss.osgi.spi.service;version=1.0, \
+   org.jboss.osgi.spi.testing;version=1.0, \
+   org.jboss.logging, \
+   org.jboss.net.protocol, \
+   org.jboss.virtual, \
+   org.jboss.virtual.plugins.registry, \
+   org.jboss.virtual.plugins.context.jar, \
+   org.jboss.virtual.plugins.vfs.helpers, \
+   org.jboss.virtual.protocol
+
+# Bundles that need to be installed with the Framework automatically 
+org.jboss.osgi.spi.framework.autoInstall=\
+	file://${osgi.home}/server/minimal/bundles/org.eclipse.osgi.services.jar
+
+# Bundles that need to be started automatically 
+org.jboss.osgi.spi.framework.autoStart=\
+   file://${osgi.home}/server/minimal/bundles/org.apache.felix.log.jar \
+   file://${osgi.home}/server/minimal/bundles/jboss-osgi-common.jar \
+   file://${osgi.home}/server/minimal/bundles/jboss-osgi-hotdeploy.jar 
\ No newline at end of file


Property changes on: projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-equinox.properties
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:eol-style
   + LF

Added: projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-knopflerfish.properties
===================================================================
--- projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-knopflerfish.properties	                        (rev 0)
+++ projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-knopflerfish.properties	2009-06-01 13:12:59 UTC (rev 89599)
@@ -0,0 +1,82 @@
+#
+# Properties read by the org.jboss.osgi.spi.framework.PropertiesBootstrapProvider
+# 
+# $Id$
+#
+
+# The OSGiFramework implementation 
+org.jboss.osgi.spi.framework.impl=org.jboss.osgi.knopflerfish.framework.KnopflerfishIntegration
+
+# Properties to configure the Framework
+org.osgi.framework.storage=${osgi.server.home}/data/osgi-store
+org.osgi.framework.storage.clean=onFirstInit
+
+# Hot Deployement
+org.jboss.osgi.hotdeploy.scandir=${osgi.server.home}/bundles
+
+# HTTP Service Port
+org.osgi.service.http.port=8090
+
+# Config Admin Service
+felix.cm.dir=${osgi.server.home}/data/osgi-configadmin
+
+# JMX bundle properties  	
+org.jboss.osgi.jmx.host=${jboss.bind.address}
+org.jboss.osgi.jmx.rmi.port=1098
+
+# JNDI bundle properties  	
+org.jboss.osgi.jndi.host=${jboss.bind.address}
+org.jboss.osgi.jndi.rmi.port=1098
+org.jboss.osgi.jndi.port=1099
+
+# Remote Logging
+org.jboss.osgi.service.remote.log.sender=true
+org.jboss.osgi.service.remote.log.host=${jboss.bind.address}
+org.jboss.osgi.service.remote.log.port=5400
+
+# Husky socket connector properties
+org.jboss.osgi.husky.runtime.connector.host=${jboss.bind.address}
+org.jboss.osgi.husky.runtime.connector.port=5401
+
+# Extra System Packages
+org.osgi.framework.system.packages.extra=\
+   javax.management, \
+   javax.management.remote, \
+   javax.naming, \
+   javax.naming.event, \
+   javax.naming.spi, \
+   javax.net, \
+   javax.net.ssl, \
+   javax.xml.namespace, \
+   javax.xml.parsers, \
+   javax.xml.transform, \
+   javax.xml.transform.sax, \
+   org.w3c.dom, \
+   org.xml.sax, \
+   org.xml.sax.helpers, \
+   org.osgi.framework;version=1.4, \
+   org.osgi.service.packageadmin;version=1.2, \
+   org.osgi.service.startlevel;version=1.1, \
+   org.jboss.osgi.spi;version=1.0, \
+   org.jboss.osgi.spi.logging;version=1.0, \
+   org.jboss.osgi.spi.management;version=1.0, \
+   org.jboss.osgi.spi.service;version=1.0, \
+   org.jboss.osgi.spi.testing;version=1.0, \
+   org.jboss.logging, \
+   org.jboss.net.protocol, \
+   org.jboss.virtual, \
+   org.jboss.virtual.plugins.registry, \
+   org.jboss.virtual.plugins.context.jar, \
+   org.jboss.virtual.plugins.vfs.helpers, \
+   org.jboss.virtual.protocol, \
+   sun.reflect
+
+# Bundles that need to be installed with the Framework automatically 
+org.jboss.osgi.spi.framework.autoInstall=\
+	file://${osgi.home}/server/minimal/bundles/org.osgi.compendium.jar
+
+# Bundles that need to be started automatically 
+org.jboss.osgi.spi.framework.autoStart=\
+   file://${osgi.home}/server/minimal/bundles/org.apache.felix.log.jar \
+   file://${osgi.home}/server/minimal/bundles/jboss-osgi-common.jar \
+   file://${osgi.home}/server/minimal/bundles/jboss-osgi-hotdeploy.jar 
\ No newline at end of file


Property changes on: projects/jboss-osgi/trunk/distribution/runtime/conf/jboss-osgi-knopflerfish.properties
___________________________________________________________________
Name: svn:keywords
   + Id Revision
Name: svn:eol-style
   + LF

Modified: projects/jboss-osgi/trunk/distribution/src/main/resources/installer/install-definition.xml
===================================================================
--- projects/jboss-osgi/trunk/distribution/src/main/resources/installer/install-definition.xml	2009-06-01 12:08:13 UTC (rev 89598)
+++ projects/jboss-osgi/trunk/distribution/src/main/resources/installer/install-definition.xml	2009-06-01 13:12:59 UTC (rev 89599)
@@ -217,8 +217,7 @@
       
       <!-- Felix Integration -->
       
-      <!-- condition="isFelix"  -->
-      <singlefile src="@{runtime.dir}/conf/jboss-osgi-felix.properties" target="$INSTALL_PATH/runtime/conf/jboss-osgi-framework.properties" override="true"/>
+      <singlefile condition="isFelix" src="@{runtime.dir}/conf/jboss-osgi-felix.properties" target="$INSTALL_PATH/runtime/conf/jboss-osgi-framework.properties" override="true"/>
       <fileset dir="@{deploy.artifacts.dir}/lib" targetdir="$INSTALL_PATH/runtime/lib" override="true">
         <include name="jboss-osgi-runtime-felix.jar" />
         <include name="org.apache.felix.framework.jar" />
@@ -227,7 +226,7 @@
         <include name="org.osgi.compendium.jar" />
       </fileset>
       
-      <!-- Equinox Integration 
+      <!-- Equinox Integration -->
       
       <singlefile condition="isEquinox" src="@{runtime.dir}/conf/jboss-osgi-equinox.properties" target="$INSTALL_PATH/runtime/conf/jboss-osgi-framework.properties" override="true"/>
       <fileset condition="isEquinox" dir="@{deploy.artifacts.dir}/lib" targetdir="$INSTALL_PATH/runtime/lib" override="true">
@@ -237,9 +236,8 @@
       <fileset condition="isEquinox" dir="@{deploy.artifacts.dir}/lib" targetdir="$INSTALL_PATH/runtime/server/minimal/bundles" override="true">
         <include name="org.eclipse.osgi.services.jar" />
       </fileset>
-      -->
       
-      <!-- Knopflerfish Integration 
+      <!-- Knopflerfish Integration -->
       
       <singlefile condition="isKnopflerfish" src="@{runtime.dir}/conf/jboss-osgi-knopflerfish.properties" target="$INSTALL_PATH/runtime/conf/jboss-osgi-framework.properties" override="true"/>
       <fileset condition="isKnopflerfish" dir="@{deploy.artifacts.dir}/lib" targetdir="$INSTALL_PATH/runtime/lib" override="true">
@@ -249,7 +247,6 @@
       <fileset condition="isKnopflerfish" dir="@{deploy.artifacts.dir}/lib" targetdir="$INSTALL_PATH/runtime/server/minimal/bundles" override="true">
         <include name="org.osgi.compendium.jar" />
       </fileset>
-      -->
       
     </pack>
     

Modified: projects/jboss-osgi/trunk/hudson/hudson-home/command.sh
===================================================================
--- projects/jboss-osgi/trunk/hudson/hudson-home/command.sh	2009-06-01 12:08:13 UTC (rev 89598)
+++ projects/jboss-osgi/trunk/hudson/hudson-home/command.sh	2009-06-01 13:12:59 UTC (rev 89599)
@@ -5,8 +5,6 @@
 #
 # $Id$
 
-JBOSS_SERVER=default
-
 OSGIDIR=$WORKSPACE/jboss-osgi
 DISTRODIR=$OSGIDIR/distribution/target
 HUDSONDIR=$OSGIDIR/hudson
@@ -14,44 +12,49 @@
 
 case "$CONTAINER" in
   'jboss501')
+    SERVER_NAME=default
     JBOSS_BUILD=jboss-5.0.1.GA
     JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
 	RUNTIME_HOME=$WORKSPACE/$JBOSS_BUILD
-	RUNTIME_LOG=$RUNTIME_HOME/server/$JBOSS_SERVER/log/server.log
+	RUNTIME_LOG=$RUNTIME_HOME/server/$SERVER_NAME/log/server.log
     rm -rf $RUNTIME_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
     cp $RUNTIME_HOME/bin/run.sh $RUNTIME_HOME/bin/run.sh.org
     cp $HUDSONBIN/run-with-pid.sh $RUNTIME_HOME/bin/run.sh
   ;;
   'jboss510')
+    SERVER_NAME=default
     JBOSS_BUILD=jboss-5.1.0.GA
     JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
 	RUNTIME_HOME=$WORKSPACE/$JBOSS_BUILD
-	RUNTIME_LOG=$RUNTIME_HOME/server/$JBOSS_SERVER/log/server.log
+	RUNTIME_LOG=$RUNTIME_HOME/server/$SERVER_NAME/log/server.log
     rm -rf $RUNTIME_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
     cp $RUNTIME_HOME/bin/run.sh $RUNTIME_HOME/bin/run.sh.org
     cp $HUDSONBIN/run-with-pid.sh $RUNTIME_HOME/bin/run.sh
   ;;
   'jboss520')
+    SERVER_NAME=default
     JBOSS_BUILD=jboss-5.2.0.Beta
     JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
 	RUNTIME_HOME=$WORKSPACE/$JBOSS_BUILD
-	RUNTIME_LOG=$RUNTIME_HOME/server/$JBOSS_SERVER/log/server.log
+	RUNTIME_LOG=$RUNTIME_HOME/server/$SERVER_NAME/log/server.log
     rm -rf $RUNTIME_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
     cp $RUNTIME_HOME/bin/run.sh $RUNTIME_HOME/bin/run.sh.org
     cp $HUDSONBIN/run-with-pid.sh $RUNTIME_HOME/bin/run.sh
   ;;
   'jboss600')
+    SERVER_NAME=default
     JBOSS_BUILD=jboss-6.0.0.Alpha1
     JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
 	RUNTIME_HOME=$WORKSPACE/$JBOSS_BUILD
-	RUNTIME_LOG=$RUNTIME_HOME/server/$JBOSS_SERVER/log/server.log
+	RUNTIME_LOG=$RUNTIME_HOME/server/$SERVER_NAME/log/server.log
     rm -rf $RUNTIME_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE
     cp $RUNTIME_HOME/bin/run.sh $RUNTIME_HOME/bin/run.sh.org
     cp $HUDSONBIN/run-with-pid.sh $RUNTIME_HOME/bin/run.sh
   ;;
   'runtime')
+    SERVER_NAME=web
 	RUNTIME_HOME=$DISTRODIR/auto-install-dest/runtime
-	RUNTIME_LOG=$RUNTIME_HOME/server/$JBOSS_SERVER/log/server.log
+	RUNTIME_LOG=$RUNTIME_HOME/server/$SERVER_NAME/log/server.log
   ;;
   *)
 	echo "Unsupported container: $CONTAINER"
@@ -92,25 +95,13 @@
 $HUDSONBIN/startup.sh $RUNTIME_HOME start $JBOSS_BINDADDR
 
 #
-# The default runtime profile has no HttpService
-# Just wait 10sec for it to come up.
-#
-if [ "$CONTAINER" = "runtime" ]; then
-	SLEEP_TIME=10
-    echo "Wait $SLEEP_TIME seconds"
-	sleep $SLEEP_TIME
-fi
-
-#
 # Was it successfully started?
 #
-if [ "$CONTAINER" != "runtime" ]; then
-	$HUDSONBIN/http-spider.sh $JBOSS_BINDADDR:8090/jboss-osgi $WORKSPACE
-	if [ -e $WORKSPACE/spider.failed ]; then
-	  tail -n 200 $RUNTIME_LOG
-	  $HUDSONBIN/startup.sh $RUNTIME_HOME stop
-	  exit 1
-	fi
+$HUDSONBIN/http-spider.sh $JBOSS_BINDADDR:8090/jboss-osgi $WORKSPACE
+if [ -e $WORKSPACE/spider.failed ]; then
+  tail -n 200 $RUNTIME_LOG
+  $HUDSONBIN/startup.sh $RUNTIME_HOME stop
+  exit 1
 fi
 
 #




More information about the jboss-osgi-commits mailing list